Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate   

Description

When you go to create a new time entry, and there's nothing project or issue related in the URL, you're given a project selection

dropdown.

This patch adds that same project selection dropdown when editing a timelog entry. Also duplicates the javascript that's run on new

entries and changes it so it also works with existing time entries so the type of hours, etc get updated when changing projects.

The need for this crops up when project managers have to fix time entries logged on the wrong projects.

This patch is for Redmine version 3.3.2-stable

Related issues:

Is duplicate of Redmine - Feature #588: Move timelog between projects Closed

History

#1 - 2017-03-21 16:19 - Marius BĂLTEANU

Duplicates #588 (which is assigned for 3.4.0).

#2 - 2017-04-19 13:09 - Toshi MARUYAMA

- Tracker changed from Patch to Feature

- Resolution set to Duplicate

Marius BALTEANU wrote:

Duplicates #588 (which is assigned for 3.4.0).

 Thank you for your pointing out.

#3 - 2017-04-19 13:09 - Toshi MARUYAMA

- Is duplicate of Feature #588: Move timelog between projects added

#4 - 2017-04-19 13:12 - Toshi MARUYAMA

- Status changed from New to Closed

Files

project_selector_on_log_time_edit_form.patch 1.19 KB 2017-03-21 Nick Vanpraet
